#include "mainwindow.h"
#include "ui_mainwindow.h"
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <pthread.h>

extern "C"
{
void *pthread_main(void *a);
}
extern int LINK_TO_NODE;

extern int STOP;

extern char key_buffer[];


MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    pthread_t pthread_id1;
    STOP = 1;

    ui->setupUi(this);
    tm = new QTimer;
//    pthread_create(&pthread_id1,NULL, &pthread_main,NULL);
    connect(tm,SIGNAL(timeout()), this, SLOT(Disp()));
    tm->setInterval(300);//раз в минуту
    tm->start();

}

MainWindow::~MainWindow()
{
    delete ui;
}



void MainWindow::on_pushButton_clicked()
{
    pthread_t pthread_id1;
    if(STOP == 0)//проверить статус потока
        return;
    pthread_create(&pthread_id1,NULL, &pthread_main,NULL);
    STOP = 0;
    sleep(2);
    QString qs;
    qs.sprintf("%s",key_buffer);
    ui->lbPublicKey->setText(qs);

}

void MainWindow::on_pushButton_2_clicked()
{
    STOP = 1;
    LINK_TO_NODE = 0;
}


void MainWindow::Disp()
{
    QPalette pl;

    if(LINK_TO_NODE == 1)
    {
        pl.setColor(QPalette::Background,Qt::green);
        pl.setColor(QPalette::WindowText,Qt::black);
        ui->lbStatus->setText("Connected to another bootstrap node successfully.");
    }
    else
    {
        pl.setColor(QPalette::Background,Qt::red);
        pl.setColor(QPalette::WindowText,Qt::black);
        ui->lbStatus->setText("No connection.");
    }


    ui->lbStatus->setPalette(pl);
}
